Bug 12101 - Move Greybox library outside of language-specific directory
Summary: Move Greybox library outside of language-specific directory
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-17 16:43 UTC by Owen Leonard
Modified: 2014-12-07 20:07 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12101 - Move Greybox library outside of language-specific directory (26.77 KB, patch)
2014-04-17 16:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12101 - Move Greybox library outside of language-specific directory (26.80 KB, patch)
2014-04-24 01:17 UTC, David Cook
Details | Diff | Splinter Review
[PASSED QA] Bug 12101 - Move Greybox library outside of language-specific directory (26.86 KB, patch)
2014-04-25 13:39 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-04-17 16:43:21 UTC
The Greybox javascript library should be moved to intranet-tmpl/lib so that it doesn't have to be duplicated for each translation and so that the translation script won't have to parse it each time.
Comment 1 Owen Leonard 2014-04-17 16:49:26 UTC Comment hidden (obsolete)
Comment 2 David Cook 2014-04-24 01:17:59 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-04-25 13:39:19 UTC
Created attachment 27626 [details] [review]
[PASSED QA] Bug 12101 - Move Greybox library outside of language-specific directory

This patch moves the Greybox library to intranet-tmpl/lib so that it is
not duplicated for each set of translated templates. The Greybox library
files are called directly only by one include file, greybox.inc, which
is modified by this patch.

To test, apply the patch and view any page which calls the Greybox
library and confirm that modal windows are still generated correctly.

For instance, Cataloging -> Cataloging search, click the "Preview MARC"
link.

Signed-off-by: David Cook <dcook@prosentient.com.au>

Works as described.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Galen Charlton 2014-04-25 15:38:38 UTC
Pushed to master.  Thanks, Owen!